Package com.collibra.catalog.api.component.classification.dto

# Class DeleteClassificationMatchesRequest

Object
DeleteClassificationMatchesRequest

public class DeleteClassificationMatchesRequest extends Object
Request to delete classification match.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `DeleteClassificationMatchesRequest.DeleteClassificationMatchesRequestBuilder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DeleteClassificationMatchesRequest()`
  `DeleteClassificationMatchesRequest(List<UUID> classificationMatchIds)`
  Creates a new `DeleteClassificationMatchesRequest` instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DeleteClassificationMatchesRequest.DeleteClassificationMatchesRequestBuilder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `List<UUID>`
  `getClassificationMatchIds()`
  The list of classification match ids.
  `int`
  `hashCode()`
  `void`
  `setClassificationMatchIds(List<UUID> classificationMatchIds)`
  The list of classification match ids.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DeleteClassificationMatchesRequest

    public DeleteClassificationMatchesRequest(List<UUID> classificationMatchIds)
    Creates a new `DeleteClassificationMatchesRequest` instance.
    Parameters:
      `classificationMatchIds` - The list of classification match ids.

  - ### DeleteClassificationMatchesRequest

    public DeleteClassificationMatchesRequest()

- ## Method Details

  - ### builder

    public static DeleteClassificationMatchesRequest.DeleteClassificationMatchesRequestBuilder builder()

  - ### getClassificationMatchIds

    public List<UUID> getClassificationMatchIds()
    The list of classification match ids.

  - ### setClassificationMatchIds

    public void setClassificationMatchIds(List<UUID> classificationMatchIds)
    The list of classification match ids.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`